<template>
  <div class="wrapper grid">
    <!-- <nav>
      <RouterLink to="/">Home</RouterLink>
      <RouterLink to="/about">About</RouterLink>
    </nav> -->
    <RouterView />
  </div>
</template>

<script setup lang="ts">
import { RouterLink, RouterView } from "vue-router";
import { useJokesStore, type Download } from "./stores/jokes";
import { useSocketIO } from "./utils/sockets";

const jokesStore = useJokesStore();
const { socket } = useSocketIO();
socket.on("success", (download: Download) => {
  jokesStore.updateDownLoad(download);
});
</script>

<style scoped>
#app {
}
.wrapper {
  display: block;
}
</style>
